Get System Vcf Management Components

Get System Vcf Management Components
Get VCF Management Components

Get the details of VCF Management Components containing each component's FQDN, deployment type, and deployment status

Request
URI
GET
https://{api_host}/v1/system/vcf-management-components
COPY
Responses
200

OK

Returns VcfManagementComponents of type(s) application/json
{
    "vcfOperationsFleetManagement": {
        "fqdn": "vcf-operations-fleet-management.rainpole.io",
        "deploymentStatus": "SUCCEEDED",
        "deploymentType": "NEW"
    },
    "vcfOperations": {
        "nodes": [
            {
                "fqdn": "vcfoperations-master.rainpole.io",
                "type": "master"
            }
        ],
        "loadBalancerFqdn": "vcf-operations-load-balancer.rainpole.io",
        "deploymentStatus": "SUCCEEDED",
        "deploymentType": "NEW"
    },
    "vcfOperationsCollector": {
        "fqdn": "vcf-operations-collector.rainpole.io",
        "deploymentStatus": "SUCCEEDED",
        "deploymentType": "NEW"
    },
    "vcfAutomation": {
        "fqdn": "vcfautomation.rainpole.io",
        "deploymentStatus": "SUCCEEDED",
        "deploymentType": "NEW"
    },
    "vspCluster": {
        "fqdn": "vspcluster.rainpole.io",
        "deploymentStatus": "SUCCEEDED",
        "deploymentType": "NEW"
    },
    "sddcLcm": {
        "fqdn": "sddclcm.rainpole.io",
        "deploymentStatus": "SUCCEEDED",
        "deploymentType": "NEW"
    },
    "fleetLcm": {
        "fqdn": "fleetlcm.rainpole.io",
        "deploymentStatus": "SUCCEEDED",
        "deploymentType": "NEW"
    },
    "vcfOperationsLogs": {
        "fqdn": "vcf-ops-logs.rainpole.io",
        "deploymentStatus": "SUCCEEDED",
        "deploymentType": "NEW"
    },
    "telemetryAcceptor": {
        "deploymentStatus": "SUCCEEDED",
        "deploymentType": "NEW"
    },
    "vidb": {
        "fqdn": "vidb.vcf.local",
        "deploymentStatus": "SUCCEEDED",
        "deploymentType": "NEW"
    },
    "salt": {
        "deploymentStatus": "SUCCEEDED",
        "deploymentType": "NEW"
    },
    "saltRaas": {
        "deploymentStatus": "SUCCEEDED",
        "deploymentType": "NEW"
    }
}
object
vcfOperationsFleetManagement
Optional

VCF Operations fleet management

object
vcfOperations
Optional

VCF Operations

object
vcfOperationsCollector
Optional

VCF Operations collector

object
vcfAutomation
Optional

VCF Automation

object
vspCluster
Optional

VSP Cluster Deployment

object
sddcLcm
Optional

SDDC LCM

object
fleetLcm
Optional

Fleet LCM

object
vcfOperationsLogs
Optional

VCF Operations Logs

object
telemetryAcceptor
Optional

Telemetry Acceptor

object
vidb
Optional

VIDB

object
salt
Optional

Salt master service

object
saltRaas
Optional

Salt Raas service


403

Forbidden

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


500

Internal Server Error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/system/vcf-management-components